Skip to content

List plan commitments

GET
/v1/plans/{plan_code}/commitments

List all commitments for a plan.

plan_code
required
Plan Code
string

Successful Response

Response List Commitments For Plan V1 Plans Plan Code Commitments Get
Array<object>
CommitmentResponse
object
id
required
Id
string format: uuid
plan_id
required
Plan Id
string format: uuid
commitment_type
required
Commitment Type
string
amount_cents
required
Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
invoice_display_name
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Unauthorized

Plan not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object